
/** Font: Play **/

@font-face{
    font-family: play_bold;
    src: url("../fonts/Play/Play-Bold.ttf");
    font-display: swap;
}

@font-face{
    font-family: play_regular;
    src: url("../fonts/Play/Play-Regular.ttf");
    font-display: swap;
}

/** Font: Ubuntu **/

@font-face{
    font-family: ubuntu_regular;
    src: url("../fonts/Ubuntu/Ubuntu-Regular.ttf");
    font-display: swap;
}

@font-face{
    font-family: ubuntu_bold;
    src: url("../fonts/Ubuntu/Ubuntu-Bold.ttf");
    font-display: swap;
}

@font-face{
    font-family: ubuntu_light;
    src: url("../fonts/Ubuntu/Ubuntu-Light.ttf");
    font-display: swap;
}



:root{

    /* Fonts */
    --plb: play_bold;
    --plr: play_regular;
    --ubr: ubuntu_regular;
    --ubb: ubuntu_bold;
    --ubl: ubuntu_light;

    /* Colors */
    --y-brown: #614A4A;
    --y-pink: #F9BEB9;
    --y-red: #d52b1e;
    --y-blue: #0a2d82;
    --y-aqua: #00b2a9;
    --y-white: #fff;
    --y-light-grey: #bcbdbc;
    --y-light-grey-95: #ebebeb;
    --y-light-grey-90: #ABA2A2;
    --y-dark-grey-95: #5E5C5C;
    --y-dark-grey-90: #565656;
    --y-dark-grey-85: #363638;
    --y-dark-grey: #333;
    --y-black: #000;

    --black-text: #161616;
    --grey-inputs: rgba(0, 0, 0, 0.25);
    --light-black: #40444E;
    --light-border: #ddd;
    --grey-75: #757272;
    --grey-80: #9b9d9e;
    --grey-85: #d8d8d8;
    --grey-90: #e5e5e5;
    --grey-93: #f0f0f0;
    --grey-95: #f7f7f7;

    --white-text: #f7f7f7;
    --primary-blue: #0d6efd;
    --input-grey: #CED4DA;
}

body{
    min-width: 375px;
    margin-left: auto;
    margin-right: auto;
}

*{
    scroll-behavior: smooth;
    box-sizing:border-box;
    margin: 0;
    padding: 0;
    -webkit-hyphens: initial;
    -moz-hyphens: initial;
    -ms-hyphens: initial;
    hyphens: initial;
    color: var(--black-text);
    font-family: var(--ubr);
}

.h1, h1, .h2, h2, h3, .h3{
    font-family: var(--mrm);
}

h1, .h1{
    font-size: 2rem;
}

a{
    text-decoration: none!important;
    color: var(--y-red);
    cursor: pointer;
    text-align: center;
}

a:hover{
    color: var(--y-red);
}

ul{
    list-style:none;
    padding: 0;
}

.form_show .form-group ul:not(.nav){
    list-style: initial;
    padding-left: 25px;
}

.ul_styled{
    list-style: unset;
}

.flex_centered, .flex_space_between{
    display: flex;
    align-items: center;
}

.flex_centered{
    justify-content: center;
}

.flex_space_between{
    justify-content: space-between;
}

.btn-primary, .btn-danger, .btn-success{
    color: #fff!important;
}

.btn.create_btn{
    position: relative;
    z-index: 1;
    margin-bottom: calc(-40.38px - 18.9px);
}

.btn, .btn.create_btn, .btn.blue_btn, .red_btn, .white_btn{
    padding-left: 12px;
    padding-right: 12px;
}

.btn.create_btn, .btn.blue_btn{
    background-color: var(--y-blue);
}

.btn.gray_btn{
    background-color: var(--y-light-grey-90);
    color: white;
}

.btn.gray_btn:hover{
    background-color: var(--y-light-grey);
}

.btn.create_btn, .btn.blue_btn, .red_btn{
    color: var(--white-text);
}

.red_btn *{
    color: inherit;
}

.btn.create_btn:hover, .btn.blue_btn:hover{
    background-color: var(--white-text);
    outline: 1px solid var(--y-blue);
    color: var(--y-blue);
}

.btn{
    border-radius: 1px;
    font-family: var(--mrm);
}

a.red_btn{
    padding: 8px 12px;
    border-radius: 5px;
}

button.red_btn{
    border: 1px solid var(--y-red);
}

.red_btn{
    background-color: var(--y-red);
    border: 1px solid transparent;
}

.red_btn:hover, .red_btn:active, .red_btn:focus-visible{
    background-color: var(--white-text) !important;
    border: 1px solid var(--y-red) !important;
    color: var(--y-red) !important;
}

.red_btn:disabled{
    background-color: var(--light-border) !important;
    border-color: transparent!important;
    color: white!important;
}

.white_btn{
    border: 1px solid var(--y-red);
    color: var(--y-red);
    border-radius: 3px;
    font-family: var(--mrm);
}

.white_btn.w-100{
    width: 100% !important;
}

.white_btn:active, .white_btn:hover, .white_btn:focus-visible{
    background-color: var(--y-red) !important;
    color: var(--y-white) !important;
}

a.btn{
    max-width: 100%;
    width: auto!important;
}

.bold{
    font-family: var(--mrm);
}

.big_btn{
    width: 375px;
    max-width: 100%;
    padding: 10px;
    font-size: 1.3rem;
    text-transform: uppercase;
    font-family: var(--mrm);
}

.md_btn{
    padding: 10px 15px;
    font-size: 1rem;
}

a.md_btn{
    width: 150px!important;
}

.big_btn:hover, .big_btn:active, .big_btn:focus-visible{
    border-width: 1px!important;
}

.big_btn, .big_btn:hover, .big_btn:active, .big_btn:focus-visible{
    border-radius: 5px;
}

.blue_link, .blue_link:hover{
    color: var(--y-blue);
}

.blue_link:hover{
    text-decoration: underline!important;
}

[type=button]:disabled{
    background-color: var(--y-light-grey) !important;
    border-color: transparent!important;
    color: white!important;
}



/**** Accordion *******************************************************************************************************/

.accordion-flush .accordion-item .accordion-button{
    background-color: var(--black-text);
    color: var(--grey-95);
}

.accordion-button:not(.collapsed)::after,.accordion-button::after{
    filter: brightness(0) invert(1);
}

.accordion-button .tab-danger{
    margin-left: 0;
    margin-right: 12px;
}

/**** Preloader *******************************************************************************************************/

.preloaderContainer{
    display: none;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgba(255,255,255,0.35);
    z-index:1030;
}

.preloaderContainer:not(.inContainer){
    position: fixed;
    height: 100vh;
}

.preloaderContainer.inContainer{
    position: absolute;
    height: 100%;
}

.preloader{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.preloader::after{
    content:"";
    width: 50px;
    height: 50px;
    display: block;
    animation: preloader .75s linear infinite;
    border: .3rem solid;
    border-radius:100%;
    border-color: red red red transparent;
}

@keyframes preloader{
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}


/** OrderLines *********************************************************************************************************/



.line_card{
    padding: 2rem 1rem 1rem 1rem;
    border:none;
    box-shadow: none!important;
    background-color: white;
}


/** Header **/

.line_card img{
    max-width: 100%;
    width: 150px;
}

.line_card p{
    margin-bottom: 3px;
    line-height: normal;
}

.line_product_title,
.line_product_subtitle{
    font-family: var(--mrm);
}

p.line_product_title{
    color: var(--y-red);
    text-transform: uppercase;
    font-size: .84rem;
    margin-bottom: 0;
}

.line_product_subtitle{
    text-transform: lowercase;
    font-size: .79rem;
    color: var(--grey-80);
}

.line_product_info{
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
}

.col_line_shop{
    width: 100%;
}

.inner_line_shop{
    width: fit-content;
    margin-left: auto;
}

.col_line_shop *{
    font-size: .75rem;
}


.line_shop_title{
    font-family: var(--mrm);
}

.line_card_header{
    align-items: center;
    margin-bottom: 1.4rem;
}

/** Line body **/

.line_recount_holder{
    margin-bottom: 1.4rem;
}

.line_recount, .line_recount_container li{
    display: flex;
    justify-content: space-between;
}

.line_recount_container *:not(.line_title){
    font-size: .9rem;
    font-family: var(--mrm);
}

.line_title{
    font-family: var(--mrm);
}

.line_recount_container ul{
    margin-bottom: 3px;
}

.line_recount_container li{
    padding-left: 10px;
}

/* OrderLine footer */

.line_recount_footer{
    text-align: right;
    font-size: 1rem;
    text-transform: uppercase;
    border-top: 1px solid var(--grey-90);
    padding-top: 15px;
}

.line_recount_footer span{
    font-family: var(--mrm);
    word-spacing: 25px;
}


/** Open menu *********************************************************************************************************/


.burger_gadgets{
    height: 35px;
    min-width: 51px;
}

.burger_gadgets .hn_phone img{
    display: inline-block;
    height: 25px;
}

.hn_li_extended{
    display: none;
}

.modal-fullscreen .modal-footer{
    justify-content: center;
    border-top: none;
}

.open_menu > .modal-dialog{
    height: 100%;
}

.open_menu .navbar-brand img{
    max-height: 50px;
}

.open_menu .copyright{
    font-size: 14px;
}

.open_menu .modal-header{
    padding-top: calc(1rem + 15px);
    border-bottom: none;
}

.om_ul .accordion-button, .om_ul li > .hn_link {
    padding: 1.5rem 0;
}

.om_ul > li:not(:last-of-type){
    border-bottom: 1px solid var(--grey-90);
}

.om_ul .accordion{
    background-color: transparent;
}

.om_ul .accordion-item{
    border: none;
    background-color: transparent;
}

.om_ul .accordion-button{
    background-color: transparent;
    box-shadow: none;
    font-family: var(--ubr);
}

.om_ul .accordion-button, .om_ul .hn_link, .om_ul .hn_link:hover{
    font-size: 1.5rem;
    color: var(--black-text);
    font-family: var(--mrm);
}

.om_ul .accordion-button:not(.collapsed){
    font-family: var(--ubr);
}

.om_ul .dropdown-item{
    font-size: 1.1rem;
}

.om_ul .accordion-button:not(.collapsed){
    color: var(--black-text);
}

.om_ul .accordion-button:not(.collapsed)::after{
    filter: invert(1) brightness(0);
}

.om_ul .accordion-body{
    padding: 0 0 1.25rem 0;
}

.open_menu .dropdown-item:focus-visible{
    outline: none;
}

.open_menu .dropdown-item:hover{
    background-color: transparent;
    color: var(--black-text);
}

/**** Media queries ***************************************************************************************************/

/* Very Small devices */

@media (min-width: 300px){}

/* Small Devices */

@media (min-width: 576px){

    div.container{
        max-width: unset;
    }

    /** OrderLines **/

    .line_product_info{
        flex-direction: column;
        text-align: left;
    }

    p.line_product_title{
        font-size: 1.25rem;
    }

    .line_product_subtitle{
        font-size: .99rem;
    }

    .col_line_shop *{
        font-size: .95rem!important;
    }

    /* Body */

    .line_recount_container *:not(.line_title){
        font-size: 1.15rem;
    }

    .line_title{
        font-size: 1.25rem;
    }

    .line_recount_footer{
        font-size: 1.25rem;
    }

}

/* Tablet and up */

@media (min-width: 768px){

    /** OrderLines **/

    .line_product_info_holder{
        width: 100%;
    }

    .col_line_shop *{
        font-size: 1rem!important;
    }

    .line_product_info{
        flex-direction: row;
    }

    .line_product_title_holder{
        width: 100%;
        text-align: left;
    }

    .line_product_info > *:first-child{
        flex: unset;
        max-width: 300px;
    }

    p.line_product_title{
        font-size: 1.35rem;
    }

    .line_product_subtitle{
        font-size: 1rem;
    }

}

/* Low laptop screen / iPad Pro */

@media (min-width: 992px){ }

/* iPad Pro only portrait */

@media (min-width: 992px) and (orientation: portrait){}

/* iPad Pro only portrait */

@media (min-width: 992px) and (orientation:landscape){}

/* Medium laptop screen */

@media (min-width: 1200px){

    /** OrderLines **/

    .line_product_info{
        flex-direction: column;
    }

}

/* Very High laptop screen */

@media (min-width: 1600px){}
